divert(-1)
dnl This is a sendmail macro config file.
dnl
dnl If you make changes to backend.mc, you have to generate a new
dnl backend.cf by running the 'make' command.
dnl
dnl The "backend" sendmail daemon is fed emails that have been released
dnl from PureMessage's Quarantine/Queue. It only accepts connections from
dnl the local server, on port #10026. There is no spam checking enabled
dnl on this server, because it is assumed that any emails directed to it
dnl have already passed through PureMessage via another MTA (probably
dnl the standard sendmail MTA; see sendmail.mc).
dnl
dnl In order for PureMessage to use this backend server, the option
dnl "mail_sender" in pmx.conf must be set to "smtp:localhost:10026".
dnl
dnl Since this server's queue can only be modified by the local server,
dnl using it will speed up delivery of emails when the main MTA is under
dnl heavy load.
dnl
divert(0)dnl
OSTYPE(`linux')
undefine(`UUCP_RELAY')
undefine(`BITNET_RELAY')
define(`confTRY_NULL_MX_LIST')
define(`confME_TOO', `True')
define(`confQUEUE_LA', 8)
define(`confDELAY_LA', 10)
define(`confREFUSE_LA', 12)
define(`confCONNECTION_RATE_THROTTLE',5)
define(`confMAX_DAEMON_CHILDREN', 64)
dnl SMTP server waits this long for commands to be issued by peer
define(`confTO_COMMAND', 2m)
dnl disable ident protocol lookups (can be slow and pretty useless)
define(`confTO_IDENT', 0)
dnl SMTP client timeouts
define(`confTO_CONNECT', 2m)
define(`confTO_ICONNECT', 20s)
define(`confTO_INITIAL', 5m)
define(`confTO_HELO', 5m)
define(`confTO_LHLO', 2m)
define(`confTO_MAIL', 5m)
define(`confTO_RCPT', 5m)
define(`confTO_MISC', 2m)
define(`confTO_QUIT', 5s)
define(`confTO_RSET', 30s)
define(`confTO_DATAINIT', 2m)
define(`confTO_DATABLOCK', 3m)
dnl setting DATAFINAL may result in duplicate deliveries under high load
dnl use with extreme care
dnl define(`confTO_DATAFINAL', 30m)
define(`confPRIVACY_FLAGS', `authwarnings noexpn novrfy')
define(`LOCAL_MAILER_PATH', `%%PREFIX%%/sbin/mail.local')
define(`LOCAL_MAILER_FLAGS', `PSfmn9')
define(`LOCAL_MAILER_ARGS', `mail.local $u')
define(`DATABASE_MAP_TYPE', `hash')
define(`confCT_FILE', `-o %%PREFIX%%/etc/mail/trusted-users')
define(`STATUS_FILE', `%%PREFIX%%/var/spool/backendmqueue/statistics')
dnl %%PREFIX%%/etc/init.d/sendmail relies on smbackend.pid
define(`confPID_FILE', `%%PREFIX%%/var/spool/backendmqueue/smbackend.pid')dnl
FEATURE(`no_default_msa')
FEATURE(`mailertable', `hash %%PREFIX%%/etc/mail/mailertable')
DAEMON_OPTIONS(`Name=MTA, Addr=127.0.0.1, Port=10026')dnl
FEATURE(`use_ct_file')
dnl Masquerading is useful if you want to make all your mail appear
dnl to originate from a single location, say example.com
dnl MASQUERADE_AS(`example.com')
dnl FEATURE(`masquerade_envelope')
dnl EXPOSED_USER(`root')
FEATURE(`redirect')
FEATURE(`always_add_domain')
FEATURE(`use_cw_file')
FEATURE(`access_db')
FEATURE(`blacklist_recipients')
FEATURE(`loose_relay_check')
MAILER(local)dnl
MAILER(smtp)dnl
